Subject: bug#22180: Partition alignment using parted

From: Phillip Susi <[email-masked]>
Date: Tue, 22 Dec 2015 20:10:09 -0500

Control: forcemerge -1 22179
Control: close -1

Partitions can not possibly be created on a fraction of a sector.
Optimal alignment is much larger than a single sector: typically 1
MiB.  Create your partitions on 1 MiB boundaries.  When you specify
the size in bytes or sectors, you are asking for exact placement.
Using conventional units of MB or GB allows parted to move the exact
start and end to the nearest preferable location rather than giving
that warning.